Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2022 年 1 月

公開日: 2022 年 1 月 4 日 | 2022 年 1 月 10 日

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2022-01-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、以下の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、Android ランタイム コンポーネントで発見された重大度「高」のセキュリティの脆弱性です。この脆弱性により、ローカルの攻撃者が、メモリ制限を回避して追加の権限を取得するおそれがあります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2022-01-01 の脆弱性の詳細

以下に、パッチレベル 2022-01-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-39630 A-202768292 EoP 12
CVE-2021-39632 A-202159709 EoP 11、12
CVE-2020-0338 A-123700107 ID 9、10

メディア フレームワーク

メディア フレームワークの脆弱性により、追加の実行権限やユーザー操作を必要とすることなく、リモートで権限を昇格されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-39623 A-194105348 EoP 9、10、11、12

システム

システムの最も重大な脆弱性により、ローカルの攻撃者が特権アクセスで、ユーザーの同意を必要とすることなく既存のパッケージをインストールするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-39618 A-196855999 * EoP 9、10、11、12
CVE-2021-39620 A-203847542 EoP 11、12
CVE-2021-39621 A-185126319 EoP 9、10、11、12
CVE-2021-39622 A-192663648 * EoP 10、11、12
CVE-2021-39625 A-194695347 * EoP 9、10、11、12
CVE-2021-39626 A-194695497 EoP 9、10、11、12
CVE-2021-39627 A-185126549 EoP 9、10、11、12
CVE-2021-39629 A-197353344 EoP 9、10、11、12
CVE-2021-0643 A-183612370 ID 10、11、12
CVE-2021-39628 A-189575031 ID 10、11
CVE-2021-39659 A-208267659 DoS 10、11、12

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2022-01-05 の脆弱性の詳細

以下に、パッチレベル 2022-01-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

Android ランタイム

Android ランタイムの脆弱性により、ローカルの攻撃者が、メモリ制限を回避して追加の権限を取得するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0959 A-200284993 EoP 12

カーネル コンポーネント

カーネル コンポーネントの最も重大な脆弱性により、競合状態が原因で、追加の実行権限やユーザー操作を必要とすることなくローカルで権限を昇格されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2021-39634 A-204450605
アップストリーム カーネル
EoP カーネル
CVE-2021-39633 A-150694665
アップストリーム カーネル
ID カーネル

カーネル LTS

次のカーネル バージョンが更新されました。

参照 Android リリース バージョン カーネル リリース バージョン 最小リリース バージョン
A-182179492 11 5.4 5.4.86

MediaTek コンポーネント

これらの脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-31345 A-207693368
M- MOLY00756840 *
モデム(Nucleus NET TCP/IP)
CVE-2021-31346 A-207646334
M-MOLY00756840 *
モデム(Nucleus NET TCP/IP)
CVE-2021-31890 A-207646336
M-MOLY00756840 *
モデム(Nucleus NET TCP/IP)
CVE-2021-40148 A-204728248
M-MOLY00716585 *
Modem EMM
CVE-2021-31889 A-207646335
M-MOLY00756840 *
モデム(Nucleus NET TCP/IP)

Unisoc コンポーネント

この脆弱性は Unisoc コンポーネントに影響を与えます。詳細については Unisoc から直接入手できます。この問題の重大度の評価は、Unisoc から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-1049 A-204256722
U-1733219 *
slogmodem

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-30319 A-202025735
QC-CR#2960714
WLAN
CVE-2021-30353 A-202025599
QC-CR#2993069 [2]
音声

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-30285 A-193070555 * 重大 クローズドソース コンポーネント
CVE-2021-30287 A-193070556 * クローズドソース コンポーネント
CVE-2021-30300 A-193071116 * クローズドソース コンポーネント
CVE-2021-30301 A-193070342 * クローズドソース コンポーネント
CVE-2021-30307 A-193070700 * クローズドソース コンポーネント
CVE-2021-30308 A-193070594 * クローズドソース コンポーネント
CVE-2021-30311 A-193070557 * クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問についての回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2022-01-01 以降では、セキュリティ パッチレベル 2022-01-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2022-01-05 以降では、セキュリティ パッチレベル 2022-01-05 以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2022-01-01]
  • [ro.build.version.security_patch]:[2022-01-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2022-01-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2022-01-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それより前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2022-01-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれより前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Google Pixel 用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Google Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2022 年 1 月 4 日 情報公開
1.1 2022 年 1 月 5 日 公開情報を改訂し AOSP リンクを追加
2.0 2022 年 1 月 10 日 CVE の表を改訂